
Redmine - Defect #766

Wiki formatting quick reference omits way to name links

2008-03-01 23:04 - John Goerzen

Status: Closed Start date: 2008-03-01

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I had to learn about this from the Redmine screenshots page.

I want to show text for a link, rather than the underlying URL.  Apparently this can be done by putting the text in double quotes, then

putting a colon, then the bare URL or wiki page in brackets.  This is not documented on the qiki formatting quick reference, nor, as far

as I can tell, anywhere else.

See screenshot at http://www.redmine.org/screenshots/wiki_edit.png

Related issues:

Related to Redmine - Patch #815: Include detailed wiki help locally Closed 2008-03-08

Associated revisions

Revision 1190 - 2008-03-05 12:14 - Jean-Philippe Lang

Display wiki syntax quick ref link within the jstoolbar (closes #629, #767).

Added named links syntax on quick ref (closes #766, #778).

History

#1 - 2008-03-01 23:30 - Jean-Philippe Lang

This is not documented on the wiki formatting quick reference, nor, as far as I can tell, anywhere else

 It's explained here (Help -> Wiki Formatting):

http://www.redmine.org/wiki/redmine/RedmineWikiFormatting#4

#2 - 2008-03-02 01:48 - John Goerzen

Thank you, Jean-Philippe.  That is indeed quite helpful.

It would be great if this could be included with the Redmine distribution itself.  Perhaps a link at the bottom of the quick reference could take a person

to it?  I feel nervous pointing people off-site for that (and that could also be an issue on intranets), so if it could be a built-in feature, that'd be ideal.

#3 - 2008-03-05 01:09 - John Goerzen

Partial patch at #778

It still references an offsite page for the details, which in my opinion isn't a good solution

#4 - 2008-03-05 12:17 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1190.
